/* Copyright (c) 2004 The Nutch Organization.  All rights reserved.   */
/* Use subject to the conditions in http://www.nutch.org/LICENSE.txt. */

package org.apache.nutch.protocol.httpclient;

import java.util.List;

/**
 *  The base level of services required for Http Authentication
 *
 * @see HttpAuthenticationFactory
 * 
 * @author    Matt Tencati
 */
public interface HttpAuthentication {

    /**
     *  Gets the credentials generated by the HttpAuthentication
     *  object.  May return null.
     *
     * @return    The credentials value
     */
    public List getCredentials();

    /**
     *  Gets the realm used by the HttpAuthentication object during creation.
     *
     *  @return    The realm value
     */
    public String getRealm();

}

